#

## quit

Exit magic

### Shortcuts:

> Key macro Control-Shift-q implements the command quit.

### Usage:

> quit

### Summary:

> The quit command implements a resonably gentle exit from magic, first prompting the user if layouts with changes have not yet been committed to disk.

> Note that in the Tcl version, if the magic package is unable to load for some reason, the quit command will not be present, and the Tcl exit command is required to quit the program. The Tcl exit command will always exit magic immediately, without prompting or cleanup or any other niceties.

### Implementation Notes:

> quit is implemented as a built-in window command in magic.

Return to command index

Last updated: October 8, 2004 at 1:00am